## ros-one-industrial-trajectory-filters 0.7.3-7noble.20251023.1604

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)

project(industrial_trajectory_filters)

find_package(catkin REQUIRED COMPONENTS
  class_loader
  moveit_core
  moveit_ros_planning
  pluginlib
  trajectory_msgs
)

find_package(orocos_kdl REQUIRED)

catkin_package(
    CATKIN_DEPENDS
      class_loader
      moveit_core
      moveit_ros_planning
      pluginlib
      trajectory_msgs
    INCLUDE_DIRS include
    LIBRARIES ${PROJECT_NAME}
    DEPENDS orocos_kdl
)

include_directories(include
  ${catkin_INCLUDE_DIRS}
  ${orocos_kdl_INCLUDE_DIRS}
)


add_library(${PROJECT_NAME}
  src/add_smoothing_filter.cpp
  src/n_point_filter.cpp
  src/smoothing_trajectory_filter.cpp
  src/uniform_sample_filter.cpp
)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${orocos_kdl_LIBRARIES})


install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(FILES planning_request_adapters_plugin_description.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

## ros-one-industrial-trajectory-filters 0.7.3-7jammy.20251023.1528

=== debian/changelog ===
ros-one-industrial-trajectory-filters (0.7.3-7jammy.20251023.1528) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Thu, 23 Oct 2025 15:28:21 +0000

ros-one-industrial-trajectory-filters (0.7.3-0jammy) jammy; urgency=high

  * No changes

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Thu, 15 Jul 2021 00:00:00 -0000

ros-one-industrial-trajectory-filters (0.7.2-0jammy) jammy; urgency=high

  * target Melodic and newer.
  * catkin_lint all packages (#266 <https://github.com/ros-industrial/industrial_core/issues/266>)
  * add Windows compatibility (#264 <https://github.com/ros-industrial/industrial_core/issues/264>)
  * add Noetic compatibility (#258 <https://github.com/ros-industrial/industrial_core/issues/258>)
  * update maintainers (#243 <https://github.com/ros-industrial/industrial_core/issues/243>)
  * for a complete list of changes see the commit log for 0.7.2 <https://github.com/ros-industrial/industrial_core/compare/0.7.1...0.7.2>.
  * contributors: Felix Messmer, Simon Schmeisser, ipa-nhg, Sean Yen, gavanderhoorn

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Mon, 28 Jun 2021 00:00:00 -0000

ros-one-industrial-trajectory-filters (0.7.1-0jammy) jammy; urgency=high

  * Updated all package xml files to version 2 (#232 <https://github.com/ros-industrial/industrial_core/issues/232>)
  * all: update maintainer email addresses (#222 <https://github.com/ros-industrial/industrial_core/issues/222>)
  * Contributors: Jeremy Zoss, Jorge Nicho, gavanderhoorn

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Thu, 19 Sep 2019 00:00:00 -0000

ros-one-industrial-trajectory-filters (0.7.0-0jammy) jammy; urgency=high

  * Fix Melodic pluginlib incompatibility Fix #204 <https://github.com/ros-industrial/industrial_core/issues/204>.
  * Fixed compiler warning while including class_loader.h (change to class_loader.hpp)
  * Updated filter base to return false when the update method returns false. Fix #217 <https://github.com/ros-industrial/industrial_core/issues/217>.
  * Contributors: Austin Deric, Levi Armstrong, Michael Ripperger

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Tue, 12 Feb 2019 00:00:00 -0000

ros-one-industrial-trajectory-filters (0.6.0-0jammy) jammy; urgency=high

  * Added C++ 11 compile option
  * Contributors: Victor Lamoine

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Mon, 16 Jan 2017 00:00:00 -0000

ros-one-industrial-trajectory-filters (0.5.1-0jammy) jammy; urgency=high

  * Fix issue #127 <https://github.com/ros-industrial/industrial_core/issues/127>
    Changed all relevant ROS_INFO_STREAM macros to ROS_DEBUG_STREAM macros. Now the filter only outputs the summary at the end.
  * Contributors: Mart (mmj)

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sun, 15 Jan 2017 00:00:00 -0000

ros-one-industrial-trajectory-filters (0.5.0-0jammy) jammy; urgency=high

  * No changes

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Mon, 22 Feb 2016 00:00:00 -0000

ros-one-industrial-trajectory-filters (0.4.3-0jammy) jammy; urgency=high

  * No changes

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sun, 07 Feb 2016 00:00:00 -0000

ros-one-industrial-trajectory-filters (0.4.2-0jammy) jammy; urgency=high

  * No change

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Wed, 21 Oct 2015 00:00:00 -0000

ros-one-industrial-trajectory-filters (0.4.1-0jammy) jammy; urgency=high

  * No changes

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Mon, 23 Mar 2015 00:00:00 -0000

ros-one-industrial-trajectory-filters (0.4.0-0jammy) jammy; urgency=high

  * Added a smoothing filter as a planning request adapter plugin
  * Contributors: Chris Lewis

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sat, 21 Mar 2015 00:00:00 -0000

ros-one-industrial-trajectory-filters (0.3.4-0jammy) jammy; urgency=high

  * No change

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Tue, 21 Jan 2014 00:00:00 -0000

ros-one-industrial-trajectory-filters (0.3.3-0jammy) jammy; urgency=high

  * No change

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Mon, 13 Jan 2014 00:00:00 -0000

ros-one-industrial-trajectory-filters (0.3.2-0jammy) jammy; urgency=high

  * Removed header from industrial_utils/utils.h (not required)

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Fri, 10 Jan 2014 00:00:00 -0000

ros-one-industrial-trajectory-filters (0.3.1-0jammy) jammy; urgency=high

  * Initial release
  * Imported industrial trajectory filters package from industrial experimental
  * Converted to catkin
  * Contributors: Shaun Edwards, gavanderhoorn

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Thu, 09 Jan 2014 00:00:00 -0000

=== debian/control ===
Source: ros-one-industrial-trajectory-filters
Section: misc
Priority: optional
Maintainer: G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-class-loader, ros-one-moveit-core, ros-one-moveit-ros-planning, ros-one-pluginlib, ros-one-trajectory-msgs
Homepage: http://ros.org/wiki/industrial_trajectory_filters
Standards-Version: 3.9.2

Package: ros-one-industrial-trajectory-filters
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-class-loader, ros-one-moveit-core, ros-one-moveit-ros-planning, ros-one-pluginlib, ros-one-trajectory-msgs
Description: ROS Industrial libraries/plugins for filtering trajectories.
 This package is part of the ROS Industrial program and contains libraries and moveit plugins for filtering robot trajectories.

## ros-one-industrial-trajectory-filters 0.7.3-7jammy.20260128.2159

=== debian/changelog ===
ros-one-industrial-trajectory-filters (0.7.3-7jammy.20260128.2159) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Wed, 28 Jan 2026 21:59:39 +0000

## ros-one-industrial-trajectory-filters 0.7.3-7jammy.20260301.2149

=== debian/changelog ===
ros-one-industrial-trajectory-filters (0.7.3-7jammy.20260301.2149) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sun, 01 Mar 2026 21:49:45 +0000

## ros-one-industrial-trajectory-filters 0.7.3-7noble.20251023.1604

=== debian/changelog ===
ros-one-industrial-trajectory-filters (0.7.3-7noble.20251023.1604) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Thu, 23 Oct 2025 16:04:01 +0000

ros-one-industrial-trajectory-filters (0.7.3-0noble) noble; urgency=high

  * No changes

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Thu, 15 Jul 2021 00:00:00 -0000

ros-one-industrial-trajectory-filters (0.7.2-0noble) noble; urgency=high

  * target Melodic and newer.
  * catkin_lint all packages (#266 <https://github.com/ros-industrial/industrial_core/issues/266>)
  * add Windows compatibility (#264 <https://github.com/ros-industrial/industrial_core/issues/264>)
  * add Noetic compatibility (#258 <https://github.com/ros-industrial/industrial_core/issues/258>)
  * update maintainers (#243 <https://github.com/ros-industrial/industrial_core/issues/243>)
  * for a complete list of changes see the commit log for 0.7.2 <https://github.com/ros-industrial/industrial_core/compare/0.7.1...0.7.2>.
  * contributors: Felix Messmer, Simon Schmeisser, ipa-nhg, Sean Yen, gavanderhoorn

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Mon, 28 Jun 2021 00:00:00 -0000

ros-one-industrial-trajectory-filters (0.7.1-0noble) noble; urgency=high

  * Updated all package xml files to version 2 (#232 <https://github.com/ros-industrial/industrial_core/issues/232>)
  * all: update maintainer email addresses (#222 <https://github.com/ros-industrial/industrial_core/issues/222>)
  * Contributors: Jeremy Zoss, Jorge Nicho, gavanderhoorn

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Thu, 19 Sep 2019 00:00:00 -0000

ros-one-industrial-trajectory-filters (0.7.0-0noble) noble; urgency=high

  * Fix Melodic pluginlib incompatibility Fix #204 <https://github.com/ros-industrial/industrial_core/issues/204>.
  * Fixed compiler warning while including class_loader.h (change to class_loader.hpp)
  * Updated filter base to return false when the update method returns false. Fix #217 <https://github.com/ros-industrial/industrial_core/issues/217>.
  * Contributors: Austin Deric, Levi Armstrong, Michael Ripperger

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Tue, 12 Feb 2019 00:00:00 -0000

ros-one-industrial-trajectory-filters (0.6.0-0noble) noble; urgency=high

  * Added C++ 11 compile option
  * Contributors: Victor Lamoine

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Mon, 16 Jan 2017 00:00:00 -0000

ros-one-industrial-trajectory-filters (0.5.1-0noble) noble; urgency=high

  * Fix issue #127 <https://github.com/ros-industrial/industrial_core/issues/127>
    Changed all relevant ROS_INFO_STREAM macros to ROS_DEBUG_STREAM macros. Now the filter only outputs the summary at the end.
  * Contributors: Mart (mmj)

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sun, 15 Jan 2017 00:00:00 -0000

ros-one-industrial-trajectory-filters (0.5.0-0noble) noble; urgency=high

  * No changes

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Mon, 22 Feb 2016 00:00:00 -0000

ros-one-industrial-trajectory-filters (0.4.3-0noble) noble; urgency=high

  * No changes

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sun, 07 Feb 2016 00:00:00 -0000

ros-one-industrial-trajectory-filters (0.4.2-0noble) noble; urgency=high

  * No change

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Wed, 21 Oct 2015 00:00:00 -0000

ros-one-industrial-trajectory-filters (0.4.1-0noble) noble; urgency=high

  * No changes

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Mon, 23 Mar 2015 00:00:00 -0000

ros-one-industrial-trajectory-filters (0.4.0-0noble) noble; urgency=high

  * Added a smoothing filter as a planning request adapter plugin
  * Contributors: Chris Lewis

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sat, 21 Mar 2015 00:00:00 -0000

ros-one-industrial-trajectory-filters (0.3.4-0noble) noble; urgency=high

  * No change

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Tue, 21 Jan 2014 00:00:00 -0000

ros-one-industrial-trajectory-filters (0.3.3-0noble) noble; urgency=high

  * No change

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Mon, 13 Jan 2014 00:00:00 -0000

ros-one-industrial-trajectory-filters (0.3.2-0noble) noble; urgency=high

  * Removed header from industrial_utils/utils.h (not required)

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Fri, 10 Jan 2014 00:00:00 -0000

ros-one-industrial-trajectory-filters (0.3.1-0noble) noble; urgency=high

  * Initial release
  * Imported industrial trajectory filters package from industrial experimental
  * Converted to catkin
  * Contributors: Shaun Edwards, gavanderhoorn

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Thu, 09 Jan 2014 00:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-industrial-trajectory-filters//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-industrial-trajectory-filters 0.7.3-7noble.20251208.1503

=== debian/changelog ===
ros-one-industrial-trajectory-filters (0.7.3-7noble.20251208.1503) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Mon, 08 Dec 2025 15:03:05 +0000

## ros-one-industrial-trajectory-filters 0.7.3-7noble.20260128.2207

=== debian/changelog ===
ros-one-industrial-trajectory-filters (0.7.3-7noble.20260128.2207) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Wed, 28 Jan 2026 22:07:48 +0000

## ros-one-industrial-trajectory-filters 0.7.3-7noble.20260301.2144

=== debian/changelog ===
ros-one-industrial-trajectory-filters (0.7.3-7noble.20260301.2144) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sun, 01 Mar 2026 21:44:39 +0000
